%define aname QuiteRSS

Name:           quiterss
Version:        0.19.4
Release:        %mkrel 2
License:        GPLv3
Summary:        RSS/Atom news feeds reader
Group:          Networking/News
URL:            http://quiterss.org/
Source0:        http://quiterss.org/files/%{version}_/%{aname}-%{version}-src.tar.gz
Patch0:         0001-fix-build.patch
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5WebKit)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Multimedia)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  qtsingleapplication-qt5-devel
BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  qttools5
Requires:       qt5-database-plugin-sqlite

%description
QuiteRSS is a open-source cross-platform RSS/Atom news feeds reader.

Idea:
 * Quite fast and comfortable to user

Features:
 * Embedded browser (Webkit core)
 * Feed and news filters: new, unread, starred, deleted
   (for news until restart application)
 * User filters
 * Proxy configuration: automatic or manual
 * Feed import wizard: Search feed URL if site URL was entered
 * Adblock
 * Click to Flash
 * Mark news starred
 * Automatic update feeds: on startup, by timer
 * Automatic cleanup on close using criterias
 * Enable/Disable images in news preview
 * Ability to quickly hide feed tree (for comfortable viewing)
 * Open feed or news in own tab
 * Quick news filter and quick search in browser
 * Sound notification on new news
 * Popup notification on new news
 * Show new or unread news counter on tray icon
 * Minimize on system tray: on start, on close, on minimize
 * Import/Export feeds (OPML-files)
 * Portable (Windows)
 * Free working set (Windows)
 * Shortcuts
 * Check for updates
 * Cross-platform
 * Multilingual
 * Open-source

%prep
%setup -q -c -n %{aname}-%{version}-src
%autopatch -p1

%build
%qmake_qt5 CONFIG+=release PREFIX=%{_prefix} SYSTEMQTSA=1 %{aname}.pro
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%find_lang %{name} --with-qt --without-mo

%files -f %{name}.lang
%doc AUTHORS CHANGELOG README.md
%{_bindir}/%{name}
%dir %{_datadir}/%{name}/
%{_datadir}/%{name}/sound/
%{_datadir}/%{name}/style/
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Thu Dec 17 2020 umeabot <umeabot> 0.19.4-2.mga8
+ Revision: 1659718
- Rebuild for new Qt5

* Fri Apr 24 2020 daviddavid <daviddavid> 0.19.4-1.mga8
+ Revision: 1571544
- new version: 0.19.4

* Thu Feb 20 2020 umeabot <umeabot> 0.19.3-2.mga8
+ Revision: 1546516
- Mageia 8 Mass Rebuild

* Tue Feb 04 2020 daviddavid <daviddavid> 0.19.3-1.mga8
+ Revision: 1486691
- new version: 0.19.3

* Sun Dec 08 2019 daviddavid <daviddavid> 0.19.2-1.mga8
+ Revision: 1465141
- new version: 0.19.2

* Wed Nov 20 2019 daviddavid <daviddavid> 0.19.1-1.mga8
+ Revision: 1461835
- new version: 0.19.1

* Sun Nov 17 2019 daviddavid <daviddavid> 0.19.0-1.mga8
+ Revision: 1461514
- new version: 0.19.0

* Mon Apr 01 2019 umeabot <umeabot> 0.18.12-3.mga7
+ Revision: 1384662
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 0.18.12-2.mga7
+ Revision: 1300756
- Mageia 7 Mass Rebuild

* Thu Jul 05 2018 daviddavid <daviddavid> 0.18.12-1.mga7
+ Revision: 1241976
- new version: 0.18.12

* Mon Jun 04 2018 daviddavid <daviddavid> 0.18.11-1.mga7
+ Revision: 1234404
- new version: 0.18.11

* Mon Apr 23 2018 daviddavid <daviddavid> 0.18.10-1.mga7
+ Revision: 1221377
- new version: 0.18.10

* Sat Feb 17 2018 daviddavid <daviddavid> 0.18.9-1.mga7
+ Revision: 1202057
- new version: 0.18.9

* Mon Oct 02 2017 daviddavid <daviddavid> 0.18.8-1.mga7
+ Revision: 1162575
- new version: 0.18.8
- improve description
- remove unneeded Qt4 BR on pkgconfig(phonon)

* Wed Mar 30 2016 dglent <dglent> 0.18.4-1.mga6
+ Revision: 996770
- Version 0.18.4

* Wed Jan 06 2016 dglent <dglent> 0.18.2-1.mga6
+ Revision: 920161
- Version 0.18.2
- Qt5 build

* Sun Jun 21 2015 dglent <dglent> 0.17.7-1.mga6
+ Revision: 837853
- New version 0.17.7

* Wed Oct 15 2014 umeabot <umeabot> 0.17.0-3.mga5
+ Revision: 749831
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.17.0-2.mga5
+ Revision: 688583
- Mageia 5 Mass Rebuild

* Thu Sep 04 2014 dglent <dglent> 0.17.0-1.mga5
+ Revision: 671812
- New version 0.17.0

* Mon Aug 18 2014 dglent <dglent> 0.16.2-1.mga5
+ Revision: 665172
- New version 0.16.2

* Mon Jul 21 2014 dglent <dglent> 0.16.1-1.mga5
+ Revision: 654916
- New version 0.16.1
- Add qt4-database-plugin-sqlite in requires

* Fri May 30 2014 dglent <dglent> 0.16.0-2.mga5
+ Revision: 627836
- Add qt4-common in Requires

* Thu May 29 2014 dglent <dglent> 0.16.0-1.mga5
+ Revision: 627648
- imported package quiterss

